Update App Configuration
curl --request PATCH \
--url https://api.example.com/v1/app-configurations/{app_name} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"security_scheme_overrides": {},
"enabled": true,
"all_functions_enabled": true,
"enabled_functions": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/app-configurations/{app_name}"
payload = {
"security_scheme_overrides": {},
"enabled": True,
"all_functions_enabled": True,
"enabled_functions": ["<string>"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
security_scheme_overrides: {},
enabled: true,
all_functions_enabled: true,
enabled_functions: ['<string>']
})
};
fetch('https://api.example.com/v1/app-configurations/{app_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_name": "<string>",
"security_scheme_overrides": {},
"enabled": true,
"all_functions_enabled": true,
"enabled_functions": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}App Configurations
Update App Configuration
Update an app configuration by app name. If a field is not included in the request body, it will not be changed.
PATCH
/
v1
/
app-configurations
/
{app_name}
Update App Configuration
Authorizations
API key for authentication
Path Parameters
Body
application/json
security scheme type for an app (or function if support override)
Available options:
no_auth, api_key, http_basic, http_bearer, oauth2 Response
Successful Response
security scheme type for an app (or function if support override)
Available options:
no_auth, api_key, http_basic, http_bearer, oauth2 ⌘I